/* Reset some basic styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#favicon {
    border-radius: 50%;
}

/************************* HERO STYLES ***********************************/
/* Hero section styling */
.hero {
    background-image: url('images/AMR\ Brand.jpg'); /* Replace with your image path */
    background-size: cover; /* Ensures the image covers the whole container */
    background-position: center; /* Centers the image within the container */
    height: 75vh; /* Sets the hero section to full viewport height */
    display: flex;
    justify-content: center; /* Horizontally centers the content */
    align-items: center; /* Vertically centers the content */
    flex-wrap: wrap;
    align-content: end;
    color: white; /* Ensures text is readable on top of the image */
    text-align: center; /* Centers text within the container */
    position: relative;
    font-size: 1.5em;
}


/* Hero contact */
.heroContact {
    display: flex;
}

.cta-button {
    padding: 10px 20px;
    background-color: #ff6347;
    color: white;
    border: none;
    text-decoration: none;
    font-size: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin: 10px;
    border-radius: 3px;
}

.cta-button:hover {
    background-color: #e5533d;
}

/* Hero mobile styles */
@media (max-width: 768px) {
    .hero {
        height: 45vh;
    }
}


/************************** BODY AND OTHER ELEMENT STYLES ***********************************/
body {
    background-color: #647179; /* Sampled from brand image from color picker*/
    color: white; /* text color */
    font-family: "Fira Sans Condensed", sans-serif;  /* Google font*/
    padding: 10px;
}

h2 {
    color: #0cecf4;
    font-size: 2.5em;
}

@media (max-width: 768px) {
    h2 {
        font-size: 2em;
    }
}



/******************************** NAVIGATION SECTION STYLES ***************************/
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    top: 10px;
    width: 100%;
    z-index: 1; /* Ensure the navbar is above the hero image */
}

.nav-links {
    list-style: none;
    display: flex;
}

.nav-links li {
    margin-left: 20px;
}

.nav-links a {
    text-decoration: none;
    color: white;
    font-size: 1.2em;
    padding: 5px 20px;
    border-radius: 10px;
    transition: background-color 0.3s ease;
}

.nav-links a:hover {
    background-color: #FFFFFF;
    color: #000000;
}

.nav-links a:visited {
    color: #000000;
}

/* Hamburger Menu */
/* For making the hamburger icon turn into X */
.hamburger {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.hamburger .line {
    width: 40px;
    height: 5px;
    background-color: white;
    margin: 3.2px 0;
    transition: all 0.4s ease; /* Smooth transition for the X effect */
}

.line {
    border: 2.5px solid;
}

/* For making the hamburger icon turn into X */
.hamburger.active .line1 {
    transform: rotate(45deg) translate(5px, 5px);
}

.hamburger.active .line2 {
    opacity: 0; /* Hide the middle line */
}

.hamburger.active .line3 {
    transform: rotate(-45deg) translate(5px, -5px);
    margin: -5px 1px; /*adjust position of line to create X*/
}
/*hamburger icon X background color change--made background color the same color as body*/
.hamburger.active {
    background-color: #647179;
}

/* Responsive Hamburger Menu Styles for Mobile */
@media (max-width: 768px) {
    .nav-links {
        visibility: hidden; /* Initially hidden but occupies space. Use this instead of 'display: none' as this parameter does not work well with transitions*/
        opacity: 0; /* Initially transparent */
        flex-direction: column;
        background-color: rgba(0, 0, 0, 0.8); /* Background for mobile menu */
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        text-align: center;
        z-index: 1;
        transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out, visibility 0s linear 0.5s; /* Smooth slide + fade */
    }

    .nav-links.active {
        visibility: visible; /* Make it visible */
        opacity: 1; /* Fully opaque */
        transform: translateY(0); /* Bring it down */
        transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out, visibility 0s; /* Smooth slide + fade */
    }

    .nav-links li {
        margin: 10px 0;
    }

    .hamburger {
        display: flex;
    }
}

/******************************** ABOUT ME SECTION STYLES **************************/
#about {
    background-color: #f7f7f7;
    padding: 50px 20px;
    margin: 20px -10px; /* Margin to stretch the section across the entire width of page*/
    color: #555;
    box-shadow: 0px 0px 15px 5px rgba(0, 0, 0, 0.5); /* Box shadow to craete horizontal line effect*/
}

#about h2 { 
    color: #333;
}

/************************* SLIDESHOW STYLES ******************************/
/* Slideshow container */
.slideshow-container {
    max-width: 1200px;
    position: relative;
    margin: auto;
    border-radius: 15px;
    /*box-shadow: 1px 1px 3px #111111;*/
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
}

.mySlides .fade {
    margin-bottom:-4px; /* Added to remove spacing between image text and bottom border.*/
}

/* Hide all slides by default */
.mySlides {
    display: none;
}

/* Fade effect */
.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {opacity: 0.4}
    to {opacity: 1}
}

/* Next & previous buttons */
.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -22px;
    color: white;
    font-weight: bold;
    font-size: 40px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.8);
}

/* The dots/bullets/indicators */
.dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.active, .dot:hover {
    background-color: #615a5a;
}

/* Number text (1/3 etc) */
.numbertext {
    color: #f2f2f2;
    font-size: 20px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
    background-color:rgba(0,0,0,0.5); /* 0.5 is the opacity*/
    border-radius: 15px 0 0 0; /* Border radius to round the top left hand corner */
}

/* Caption text */
.text {
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    position: absolute;
    bottom: 8px;
    width: 100%;
    text-align: center;
    background-color:rgba(0,0,0,0.5) /* 0.5 is the opacity*/
}

.slideshow-container img {
    width: 100%;
    height: 150vh;
    margin-bottom: -4px; /* margin added to eliminate space between image and container*/
    border-radius: 15px;
    box-shadow: 1px 1px 3px #111111;
}


/* Slideshow Mobile Styles */
@media (max-width: 768px) {
    .slideshow-container img {
        height: 55vh;
    }
}

/*********************************** TESTIMONIALS STYLES ************************************/
.testimonials-section {
    background-color: #f7f7f7;
    padding: 50px 20px;
    text-align: center;
    font-family: Arial, sans-serif;
    margin: 20px -10px; /* Margin to stretch the section across the entire width of page*/
    box-shadow: 0px 0px 15px 5px rgba(0, 0, 0, 0.5); /* Box shadow to craete horizontal line effect*/
}

.testimonials-section h2 {
    font-size: 2.5em;
    margin-bottom: 40px;
    color: #333;
}

.testimonial-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.testimonial {
    background-color: white;
    border-radius: 10px;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.1);
    padding: 20px;
    max-width: 300px;
    margin: 10px;
    text-align: left;
}

.testimonial p {
    font-size: 1em;
    color: #555;
    line-height: 1.6em;
    margin-bottom: 15px;
}

.testimonial h4 {
    font-size: 1.1em;
    color: #333;
    font-weight: bold;
    margin-top: 10px;
}

/* Testimonial Mobile Styles */
@media (max-width: 768px) {
    .testimonial-container {
        flex-direction: column;
        align-items: center;
    }

    .testimonial {
        max-width: 100%;
    }

    .testimonials-section h2 {
        font-size: 2em;
    }
}

/*********************************** CONTACT FORM STYLES ***********************************/
.contact-form-container {
    width: 50%;
    margin: 50px auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

.contact-form-container h2 {
    text-align: center;
    margin-bottom: 20px;
    color: #333;
    font-size: 2em;
}

label {
    display: block;
    margin-bottom: 5px;
    color: #333;
}

input[type="text"],
input[type="email"],
input[type="tel"],
textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

#message {
font-family: "Fira Sans Condensed", sans-serif;  /* Google font for message box*/
}

button {
    display: block;
    width: 45%;
    padding: 10px;
    background-color: #0cecf4;
    color: #000000;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
    margin-left: auto;
    margin-right: auto;
}

button:hover {
    background-color: #647179;
    color: #fff;
}

#responseMessage {
    text-align: center;
    color: #4CAF50;
    font-size: 18px;
}

/* Contact Mobile Styles */
@media (max-width: 768px) {
    .contact-form-container {
        width: 100%;
    }    
}

/******************************** BACK TO TOP STYLES **********************************/
/* Back to Top Button Styles */
#backToTopBtn {
    display: none; /* Hidden by default */
    position: fixed;
    width: 5%;
    bottom: 30px;
    right: 30px;
    z-index: 100;
    font-size: 24px; /* Font size for the Font Awesome icon */
    background-color: #555;
    color: white;
    border: none;
    padding: 15px;
    border-radius: 50%;
    cursor: pointer;
    transition: opacity 0.3s ease;
  }
  
  #backToTopBtn i {
    font-size: 40px; /* Set the font size for the icon */
  }
  
  /* Button Hover Effect */
  #backToTopBtn:hover {
    background-color: #333;
  }

/* Button Mobile Styles */
@media only screen and (max-width: 768px) {
    #backToTopBtn {
        width: 16%;
    }

    #backToTopBtn i {
        font-size: 35px; /* Set the font size for the icon */
    }
} 

/* Button Tablet Styles */
@media only screen and (min-width: 768px) {
    #backToTopBtn {
        width: 7.5%;
    }
}
